<h2>Tickets</h2>

<!-- <input id="search" type="text" [formControl]="search" class="border border-black p-2 rounded" /> -->

<form class="example-form">
  <mat-form-field class="example-full-width" appearance="fill">
    <mat-label>Search</mat-label>
    <input type="text" matInput [formControl]="search" placeholder="Ex. pat@example.com" />
  </mat-form-field>
</form>

<app-add></app-add>

<mat-progress-bar mode="query" *ngIf="loading$ | async" class="mt-5"></mat-progress-bar>
<ul class="flex flex-col space-y-4 m-4">
  <app-row class="rows" *ngFor="let t of tickets$ | async" [ticket]="t"> </app-row>
</ul>

<footer class="text-red-500">
  {{ error$ | async }}
</footer>
